Subject: Forward to Action of widgetController
Description

widget controller has 2 actions:
1. indexAction
2. createAction

after createAction i want to forwad to the indexAction again.
but doesnt work. getting a white page withoud any result by using $this->forward('index).
any ideas to do something like a forward inside of the widget controller?

thanks
carsten

Associated revisions
Revision 78aa1b63 - 2013-09-30 11:48 - Bastian Waidelich

[FEATURE] Support for redirects within widgets

Redirects and forwards did not work from within widget controllers
because there was no internal dispatch-loop.

This change implements support for redirects and forwards.
Besides this adds a controller check that throws an
exception when trying to redirect to a different controller
than the one associated with the widget ViewHelper.

Change-Id: I0c636ffd6a4152621663ca8e993be85f6b4fc2ad
Resolves: #31765
Releases: master

History
#1 - 2011-11-22 12:48 - Karsten Dambekalns
- Target version changed from 1.0.1 to 1.0.2

#2 - 2011-12-22 08:52 - Karsten Dambekalns
- Target version changed from 1.0.2 to 1.0.3

#3 - 2012-03-07 18:51 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#4 - 2012-04-18 22:45 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5
#5 - 2012-04-24 12:30 - CPS-IT GmbH

This does work for me in the current master. Tried it in the indexAction of a widget controller as well as in an Ajax Action called by an ajax controller.

#6 - 2012-04-24 12:33 - CPS-IT GmbH

Sorry, just read that you try to reforward to your index action. So there is a loop calling index and create actions alternately. This can't work. I think you
reach dispatchLoopCount in TYPO3\FLOW3\Mvc\Dispatcher which executes an Exception.

#7 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#8 - 2012-06-19 12:15 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns

There has been no feedback for a while here. If this is still an issue, feel free to reopen. Thanks for your understanding.

#9 - 2013-09-27 10:23 - Bastian Waidelich
- Status changed from Closed to Accepted
- Assigned To changed from Karsten Dambekalns to Bastian Waidelich
- Target version deleted (1.1 RC1)

This problem still exists apparently: http://forum.typo3.org/index.php/t/199461/

#10 - 2013-09-30 13:28 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24152

#11 - 2014-07-11 20:39 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:78aa1b635fb83f454ccf74f5dbc07c4aad0d3fc7.
